October 16, 2018, 17:20
bigger smaller reset 800px Wide width Full width Reset * *

Gildor's Forums

  Homepage Facebook Donate
Welcome, Guest. Please login or register.
Did you miss your activation email?


Login with username, password and session length
« previous next »
Pages: [1] Print
Author Topic: Agony  (Read 1428 times)
kingfisher13
Newbie
*
Posts: 16


View Profile
« on: November 30, 2016, 21:43 »

Hey Gildor,
Here is an amazing game, currently in demo form, that I was hoping you could help me with. It uses Unreal 4, supposedly the latest version. Umodel doesn't recognize its version, here is the error which appears when I attempt to open a Uasset file:

Unversioned UE4 packages are not supported. Please override game using UI or command line.
SerializePackageFileSummary4 <- FPackageFileSummary<<:Ver=0/0 <- UnPackage::UnPackage:Agony/Content/Characters/Angel/Female_SK.uasset, ver=0/0, game=10000 <- UnPackage::LoadPackage:Agony/Content/Characters/Angel/Female_SK.uasset <- CUmodelApp::ShowPackageUI <- Main:umodel_version=469

I'm not  sure how to extract a uasset file for you to look at, since Umodel crashes when I try to export one.
I attempted to override the version, and I set it to the latest one in Umodel, version 4.12, and it gave me this error when opening a uasset:

Unknown DataSize 0
FMultisizeIndexContainer<< <- FStaticLODModel4<< <- TArray::Serialize:0/1 <- USkeletalMesh4::Serialize <- LoadObject:SkeletalMesh4'Angel_Wings.Angel_Wings', pos=2D6C, ver=505/0 (unversioned), game=1000D <- UObject::EndLoad <- LoadWholePackage:Angel_Wings <- CUmodelApp::ShowPackageUI <- Main:umodel_version=469

I actually used the UE4 Pak Extractor from Zenhax, and was able to open the Pak and extract some uassets for you, they are packed here: http://www.mediafire.com/file/ivme99zobejq3z3/Angel.zip

Could you set up compatibility for this game? Thanks!
Logged
Gildor
Administrator
Hero Member
*****
Posts: 6843



View Profile WWW
« Reply #1 on: November 30, 2016, 22:55 »

Hi.

1. I think this is the game?
    http://store.steampowered.com/app/487720/
    https://en.wikipedia.org/wiki/Agony_(2017_video_game)
2. These files were opened in UModel with setting UE4 to 4.13, with no problems.
3. The provided samples doesn't have static meshes, however I can confirm that everything else works well.
4. Unreal Pak files could be opened and extracted without any problems inside UModel, no other software needed.
5. If my assumption about "Agony 2017 video game" are correct, it's too early to add this game to the compatibility table.
Logged
kingfisher13
Newbie
*
Posts: 16


View Profile
« Reply #2 on: December 02, 2016, 06:12 »

Gildor, you are a genius... I didn't think to test 4.13, I figured when it said the latest it would have passed that one. Thanks for providing great compatibility with the different versions, I really appreciate your hard work!
Logged
zardalu
Gold Sponsor
Full Member
***
Posts: 124



View Profile WWW
« Reply #3 on: May 31, 2018, 19:53 »

Hi folks, new game Agony (PC) seems to be fully supported; use version 4.17:

http://agonygame.com/

Cheers!

« Last Edit: May 31, 2018, 19:55 by Gildor » Logged
Pages: [1] Print 
« previous next »
Jump to:  

Powered by SMF | SMF © 2006-2009, Simple Machines LLC
Leviathan design by Bloc | XHTML | CSS